Bug 108591 - RFE: IPv6 options are hidden.
Summary: RFE: IPv6 options are hidden.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-config-network (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-30 14:21 UTC by David Woodhouse
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-03 08:46:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Woodhouse 2003-10-30 14:21:12 UTC
There exists an automatic IPv6-in-IPv4 tunnel mechanism, where the IPv4 address
is used to give an automatic IPv6 address. All you need to do is add two lines
to the ifcfg-$DEVICE file:

IPV6INIT=yes
IPV6TO4INIT=yes

redhat-config-network should do this for you, possibly even by default for
public IP addresses if IPv6 is enabled system-wide.

Comment 1 Harald Hoyer 2003-10-30 14:33:04 UTC
This would be FC2

Comment 2 Jens Petersen 2004-01-15 22:21:02 UTC
Personally I would like to suggest adding:

  NETWORKING_IPV6=yes

by default to /etc/sysconfig/network.

David, shouldn't native IPv6 be the default, and
6to4 a configuration option in r-c-n?

Comment 3 David Woodhouse 2004-01-16 07:45:37 UTC
Native IPv6 happens by default -- if there's a route adversiting
daemon on the subnet and ipv6.o is loaded, you'll get your native IPv6
addresses.

It's only really 6to4 which needs configuration.

Comment 4 Jens Petersen 2004-01-21 08:29:07 UTC
Well IPv6 only happens if ipv6 is enabled (eg with NETWORKING_IPV6=yes
for all capable interfaces or IPV6INIT=yes for individual interfaces).
My comment was about IPV6TO4INIT=yes, which I don't think should
be set by default for interfaces.  Though of course it could be
an r-c-n config option.  Am I missing something?

Comment 5 David Woodhouse 2004-01-21 11:21:20 UTC
You're right. Native IPv6 should be on by default, and 6to4 should be
a checkbox in r-c-n. 


Note You need to log in before you can comment on or make changes to this bug.